* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    user-select: none;
    image-rendering: pixelated;
    scroll-behavior: smooth;
    scroll-margin-top: 50px;
}

html {
    cursor: var(--default-cur), default;
}

h2 {
    font-family: 'RightsReserved';
}

p {
    font-family: 'YuGothic';
    font-weight: 100;
    font-size: 13px;
}

a {
    text-decoration: none;
    transition: all .25s ease-in-out;
    font-family: 'YuGothic';
    font-weight: 100;
    color: inherit;
    cursor: var(--pointer-cur), pointer;
}
a:hover {
    color: black !important;
    text-shadow: var(--white-txt-shad-thin);
}

#s-m-t-tooltip{
    /* basic */
    max-width: 300px;
    z-index: 9999999;
    margin: 24px 14px 7px 12px;
    /* style and design */
    padding:8px;
    -moz-border-radius:3px;
    -webkit-border-radius:3px;
    border-radius:3px;
    background: black;
    color: white;
    font-family: 'YuGothic';
}

.hovertxt {
    text-decoration: underline dotted;
    cursor: var(--help-cur), help;
}

#s2t {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 30px;
  z-index: 99;
  font-size: 12px;
  border: none;
  outline: none;
  background-color: black;
  color: white;
  border: 1px solid white;
  cursor: pointer;
  padding: 5px 10px;
  border-radius: 4px;
}

#s2t:hover {
  background-color: #555;
}


:root {
    --white-txt-shad-thin: -1px 0 white, 0 1px white, 1px 0 white, 0 -1px white, 0 0;
    --black-txt-shad-thin: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black, 0 0;
}



:root {
    --default-cur: url('https://domokunlover.github.io/godzilla-theme/cursors/blood-splatter/normal%20select.cur');
    --pointer-cur: url('https://domokunlover.github.io/godzilla-theme/cursors/blood-splatter/link%20select.cur');
    --outlink-cur: url('https://domokunlover.github.io/godzilla-theme/cursors/blood-splatter/outlink.cur');
    --horz-select-cur: url('https://domokunlover.github.io/godzilla-theme/cursors/blood-splatter/horizantal%20select.cur');
    --help-cur: url('https://domokunlover.github.io/godzilla-theme/cursors/blood-splatter/help%20selcect.cur');
    --not-allowed-cur: url('https://domokunlover.github.io/godzilla-theme/cursors/blood-splatter/unavaiable.cur');
}


@keyframes flicker {
  0% {
    opacity: 0.27861;
  }

  5% {
    opacity: 0.34769;
  }

  10% {
    opacity: 0.23604;
  }

  15% {
    opacity: 0.90626;
  }

  20% {
    opacity: 0.18128;
  }

  25% {
    opacity: 0.83891;
  }

  30% {
    opacity: 0.65583;
  }

  35% {
    opacity: 0.67807;
  }

  40% {
    opacity: 0.26559;
  }

  45% {
    opacity: 0.84693;
  }

  50% {
    opacity: 0.96019;
  }

  55% {
    opacity: 0.08594;
  }

  60% {
    opacity: 0.20313;
  }

  65% {
    opacity: 0.71988;
  }

  70% {
    opacity: 0.53455;
  }

  75% {
    opacity: 0.37288;
  }

  80% {
    opacity: 0.71428;
  }

  85% {
    opacity: 0.70419;
  }

  90% {
    opacity: 0.7003;
  }

  95% {
    opacity: 0.36108;
  }

  100% {
    opacity: 0.24387;
  }
}

#scanlines::after {
  content: " ";
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: rgba(18, 16, 16, 0.1);
  opacity: 0;
  z-index: 999999;
  pointer-events: none;
  animation: flicker 0.15s infinite;
}
#scanlines::before {
  content: " ";
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: linear-gradient(rgba(18, 16, 16, 0) 50%, rgba(0, 0, 0, 0.25) 50%), linear-gradient(90deg, rgba(255, 0, 0, 0.06), rgba(0, 255, 0, 0.02), rgba(0, 0, 255, 0.06));
  z-index: 999999;
  background-size: 100% 2px, 3px 100%;
  pointer-events: none;
}


.eyes {
  position: fixed;
  top: 450px;
  right: 730px;
  z-index: 99999;
  filter: brightness(.5);
}
.eyes:hover {
  cursor: none;
}
.eye {
  width: 30px;
  height: 30px;
  border-radius: 100%;
  background: radial-gradient(circle, rgba(230, 213, 213, 1) 2%, rgba(255, 130, 130, 1) 100%);
  display: flex;
  justify-content: center;
  align-items: center;
}
.pupil-inner {
  width: 10px;
  height: 10px;
  border-radius: 101px;
  background-color: #000;
  animation: pupil-jitter infinite .5s;
}

@keyframes pupil-jitter {
  0% {
      transform: translate(0, 0);
    }
  
    10% {
      transform: translate(1px, -1px);
    }
  
    20% {
      transform: translate(-1px, 1px);
    }
  
    30% {
      transform: translate(2px, 0);
    }
  
    40% {
      transform: translate(-2px, -1px);
    }
  
    50% {
      transform: translate(1px, 2px);
    }
  
    60% {
      transform: translate(0, -2px);
    }
  
    70% {
      transform: translate(-1px, 0);
    }
  
    80% {
      transform: translate(2px, 1px);
    }
  
    90% {
      transform: translate(-2px, 2px);
    }
  
    100% {
      transform: translate(0, 0);
    }
}